﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using MindFusion.Reporting;

namespace CustomDrawReport
{
	public partial class CustomReport : Report
	{
		public CustomReport()
		{
			InitializeComponent();
			nwindDataSetTableAdapters.ProductsTableAdapter adapter = 
				new nwindDataSetTableAdapters.ProductsTableAdapter();
			adapter.Fill(nwindDataSet.Products);
		}

		public CustomReport(IContainer container)
		{
			container.Add(this);

			InitializeComponent();
		}

		private void canvas1_RenderContents(object sender, DrawCanvasEventArgs e)
		{
			StringFormat format = new StringFormat();
			format.Alignment = StringAlignment.Center;
			format.LineAlignment = StringAlignment.Center;

			int data = Int16.Parse(e.DataValue.ToString());
			RectangleF bounds = e.Bounds;
			bounds.Inflate(-2, -2);

			string text = data.ToString();

			if (data < 30)
			{

				using (var fillBrush = new SolidBrush(Color.FromArgb(184, 17, 26)))
					e.Graphics.FillRectangle(fillBrush, bounds);

				using (var font = new Font(FontName, FontSize, FontStyle))
					e.Graphics.DrawString(text, font, Brushes.White, bounds, format);

			}
			else
			{
				using (var font = new Font(FontName, FontSize, FontStyle))
					e.Graphics.DrawString(text, font, Brushes.Black, bounds, format);

			}

			e.Graphics.DrawRectangle(Pens.LightGray, bounds);
			format.Dispose();

		}
	}
}
